import { defineChain } from 'viem';
export const polygonAmoy = defineChain({
    id: 80002,
    name: 'Polygon Amoy',
    network: 'maticamoy',
    nativeCurrency: { name: 'MATIC', symbol: 'MATIC', decimals: 18 },
    rpcUrls: {
        alchemy: {
            http: ['https://polygon-amoy.g.alchemy.com/v2'],
            webSocket: ['wss://polygon-amoy.g.alchemy.com/v2'],
        },
        default: {
            http: ['https://rpc-amoy.polygon.technology'],
        },
        public: {
            http: ['https://rpc.ankr.com/polygon_amoy'],
        },
    },
    blockExplorers: {
        etherscan: {
            name: 'PolygonScan',
            url: 'https://amoy.polygonscan.com',
        },
        default: {
            name: 'OK LINK',
            url: 'https://www.oklink.com/amoy',
        },
    },
    contracts: {
        multicall3: {
            address: '0xca11bde05977b3631167028862be2a173976ca11',
            blockCreated: 3127388,
        },
    },
    testnet: true,
});
//# sourceMappingURL=polygonAmoy.js.map